spark-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Apache Spark (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SPARK-23654) Cut jets3t as a dependency of spark-core
Date Tue, 24 Apr 2018 20:04:00 GMT

    [ https://issues.apache.org/jira/browse/SPARK-23654?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16450449#comment-16450449
] 

Apache Spark commented on SPARK-23654:
--------------------------------------

User 'steveloughran' has created a pull request for this issue:
https://github.com/apache/spark/pull/21146

> Cut jets3t as a dependency of spark-core
> ----------------------------------------
>
>                 Key: SPARK-23654
>                 URL: https://issues.apache.org/jira/browse/SPARK-23654
>             Project: Spark
>          Issue Type: Improvement
>          Components: Spark Core
>    Affects Versions: 2.4.0
>            Reporter: Steve Loughran
>            Priority: Minor
>
> Spark core declares a dependency on Jets3t, which pulls in other cruft
> # the hadoop-cloud module pulls in the hadoop-aws module with the jets3t-compatible connectors,
and the relevant dependencies: the spark-core dependency is incomplete if that module isn't
built, and superflous or inconsistent if it is.
> # We've cut out s3n/s3 and all dependencies on jets3t entirely from hadoop 3.x in favour
we're willing to maintain.
> JetS3t was wonderful when it came out, but now the amazon SDKs massively exceed it in
functionality, albeit at the expense of week-to-week stability and JAR binary compatibility



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@spark.apache.org
For additional commands, e-mail: issues-help@spark.apache.org


Mime
View raw message